using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Assets.Scripts.Interface;

public abstract class InteractiveObject : Planemovement, IInteractable
{
    public abstract string InteractType
    {
        get;
    }

    public abstract void OnInteract(IInteractor interactor);
    public abstract void OnDisInteract(IInteractor interactor);
}
